de.dhbwstuttgart.syntaxtree.misc

## Class ConstructorCall

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.ExprStmt
      - - de.dhbwstuttgart.syntaxtree.statement.Expr
        - - de.dhbwstuttgart.syntaxtree.statement.MethodCall
          - - de.dhbwstuttgart.syntaxtree.misc.ConstructorCall

All Implemented Interfaces:
  IItemWithOffset, Typeable

    public class ConstructorCall
    extends MethodCall

Diese Klasse stellt den this()-Aufruf dar.

Author:
  janulrich

### Field Summary

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.MethodCall

`parserlog`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

`usedid`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

`inferencelog`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`offset, type`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`ConstructorCall(Receiver receiver, java.lang.String methodName, ArgumentList argumentList, int offset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConstraintsSet` `overloading(TypeAssumptions assumptions)` Erstellt die Constraints fÃ¼r den eigentlichen Methodenaufruf.

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.MethodCall

`add_Expr, constraintsFromMethodAssumption, get_Name, get_Receiver, getArgumentList, getChildren, getName, parserPostProcessing, printJavaCode, set_ArgumentList, set_Expr_Menge, set_Name, set_Receiver, set_UsedId, toString, TYPEExpr, TYPEStmt, wandleRefTypeAttributes2GenericAttributes`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

`get_Name_Menge, get_Type_Menge, get_UsedId, set_Type`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

`getTypeLineNumber, getTypeName`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, setReturnType, setType`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, equals, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConstructorCall

    public ConstructorCall(Receiver receiver,
                           java.lang.String methodName,
                           ArgumentList argumentList,
                           int offset)

### Method Detail

#### overloading

    public ConstraintsSet overloading(TypeAssumptions assumptions)

Description copied from class: `MethodCall`
Erstellt die Constraints fÃ¼r den eigentlichen Methodenaufruf. Sucht in den Assumptions nach passenden Methoden und erstellt ein OderConstraintSet.

Overrides:
  `overloading` in class `MethodCall`
Returns: